import React__default from 'react';
import Head from 'next/head';

var Header = function Header(props) {
  var title = props.title,
      keyword = props.keyword,
      description = props.description,
      isLiveSite = props.isLiveSite,
      canonicalUrl = props.canonicalUrl;


  return React__default.createElement(
    Head,
    null,
    title && React__default.createElement(
      'title',
      null,
      title
    ),
    keyword && React__default.createElement('meta', { name: 'keywords', content: keyword }),
    description && React__default.createElement('meta', { name: 'description', content: description, key: 'description' }),
    !isLiveSite && React__default.createElement('meta', { name: 'robots', content: 'noindex, nofollow' }),
    canonicalUrl && React__default.createElement('link', { rel: 'canonical', href: canonicalUrl, key: 'canonical' })
  );
};

var Header$1 = React__default.memo(Header);

export default Header$1;
export { Header };
